Subject: Re: linux-next: manual merge of the sound tree with the arm-soc tree

From: Mark Brown <[email-masked]>
Date: Mon, 25 Feb 2019 16:43:38 +0000

On Mon, Feb 25, 2019 at 02:38:50PM +0100, Arnd Bergmann wrote:
> On Mon, Feb 25, 2019 at 12:24 PM Sameer Pujar <[email-masked]> wrote:

> > The motivation for adding custom sound card name is following,
> > 1. When for boards, multiple HDMI/DP ports are exposed, it is sometimes
> >     necessary to know the default port or any customization for that matter.
> >     Audio userspace can distinguish based on the sound card names.
> > 2. Multiple sound cards can coexist for a platform, the indication of
> > particular
> >     audio path is useful.
> > 3. It can help to customize audio paths.
> >     Generally people use "*,model" property in DT to name the sound complex.
> >     Ex: "samsung,model" [sound/soc/samsung/snow.c]
> >         "rockchip,model" [sound/soc/rockchip/rockchip_rt5645.c]

It's also useful since sound cards can be electically identical but
prefer different configuration due to the plastics (eg, a smaller
speaker was fitted, different outputs have different labels or playing
the speaker at full volume causes some models to have unpleasant effects
while others handle it fine).

> My impression here is that the idea of passing a model name
> through DT is well established, but for new stuff, we probably
> want to standardize on plain "model" rather than "$vendor,model".

Yes.
_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel